nz-descriptions.container(nzLayout="vertical", [nzColumn]="3", [nzColon]="false")
  nz-descriptions-item(nzTitle="Module ID", nzSpan="3")
    span {{ workflowModule?.technicalId }}

  nz-descriptions-item([nzTitle]="versionTitleTemplate", nzSpan="3")
    form(nz-form, [formGroup]="form")
      nz-form-item.mb0
        nz-form-control
          nz-select(formControlName="newVersionModuleId", [nzPlaceHolder]="currentVersion")
            nz-option(*ngFor="let v of versions", [nzLabel]="v.versionName", [nzValue]="v.moduleId")
    ng-template(#currentVersion)
      span(style="color:black;") {{ workflowModule?.version }}
    ng-template(#versionTitleTemplate)
      span
        | Version
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="versionHelpTemplate", nzType="question-circle", theme="outline")
    ng-template(#versionHelpTemplate)
      ng-container Select a version

  nz-descriptions-item(nzTitle="Name", nzSpan="3")
    span
      | {{ workflowModule?.name }}
      a.ml1([routerLink]="['/', 'store', workflowModule?.moduleId]")
        i(nz-icon, nz-tooltip, nzTooltipTitle="View module details", nzType="question-circle", theme="outline")
  nz-descriptions-item(nzTitle="Description", nzSpan="3")
    | {{ workflowModule?.description | default: "-" }}
  nz-descriptions-item(nzTitle="Kind", nzSpan="1")
    ryax-status-tag([label]="workflowModule?.kind | ryaxWorkflowModuleKindLabel", [color]="workflowModule?.kind | ryaxWorkflowModuleKindColor")
  nz-descriptions-item(nzTitle="Status", nzSpan="2")
    ng-container(*ngIf="isValid")
      i.mr1(nz-icon, nzType="check-circle", nzTheme="twotone", nzTwotoneColor="#52c41a")
      span Module valid
    ng-container(*ngIf="isInvalid")
      i.mr1(nz-icon, nzType="exclamation-circle", nzTheme="twotone", nzTwotoneColor="#fa8c16")
      span Module invalid
    ng-container(*ngIf="isDeploying")
      i.mr1(nz-icon, nzType="play-circle", nzTheme="twotone", nzTwotoneColor="#1890ff")
      span Deploying
    ng-container(*ngIf="isDeployed")
      i.mr1(nz-icon, nzType="play-circle", nzTheme="twotone", nzTwotoneColor="#52c41a")
      span Deployed
  nz-descriptions-item(nzTitle="Categories", nzSpan="3")
    ng-container(*ngIf="hasCategories; else categoriesEmpty")
      ng-container(*ngFor="let c of workflowModule.categories")
        nz-tag {{ c.categoryName }}
    ng-template(#categoriesEmpty)
      span.italic No categories to show

  //nz-descriptions-item(*ngIf="workflowModule?.externalLink", nzTitle="Form link", nzSpan="3")
    button(nz-button, , [routerLink]="['/studio', 'portals', workflowModule?.formLink.id]")
      i(nz-icon, nzType = "eye")
      span {{ workflowModule?.formLink.name }}
  //nz-descriptions-item
    ryax-link-button(*ngIf="workflowModule?.executionsLink", label="View executions", icon="eye",
      [link]="workflowModule?.executionsLink", [linkQuery]="workflowModule?.executionsLinkQuery")
